spring:
  profiles:
    active: dev
  application:
    name: recommend-server
#  cloud:
#    sentinel:
#      eager: true
#      transport:
#        port: 8719
#      log:
#        dir: /datalog/sentinel
#      datasource:
#        ds1:
#          apollo:
#            namespace-name: application
#            flow-rules-key: sentinel.flowRules
#            default-flow-rule-value: []
#            rule-type: flow
grpc:
  server:
    port: 9001
    reflection-service-enabled: true
  client:
    recommend-feature:
      negotiationType: PLAINTEXT
    abtest:
      negotiationType: PLAINTEXT

server:
  tomcat:
    threads:
      max: 1000
    uri-encoding: UTF-8
    accept-count: 1000
    connection-timeout: 30000
  servlet:
    context-path: /recommend-server
    session:
      timeout: 60
pagehelper:
  helper-dialect: mysql

logging:
  file:
    path: /datalog/weblog/${spring.application.name}/

app:
  id: recommend-server
apollo:
  bootstrap:
    enabled: true
    namespaces: application,RD.Experiment
  cacheDir: /datalog/apollo-cache-dir

feign:
  client:
    config:
      default:
        connectTimeout: 2000
        readTimeout: 10000